package com.emato.cuspay.notify;

import com.emato.cuspay.dao.mapper.merch.MerchNotiMapper;
import com.emato.cuspay.dto.merch.MerchNoti;
import com.google.common.collect.Lists;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @author zengjun
 * @version 1.0
 * 2018-05-18 09:44
 */

@Component
public class WxMerchantNotice extends AbstractMerchantNotice implements MerchantNotice{

    private static final Logger logger = LoggerFactory.getLogger(WxMerchantNotice.class);

    @Value("${db.wx.notify.limit}")
    private Integer limit;

    @Autowired
    private MerchNotiMapper merchNotiMapper;

    public void notifyMerchant() {
        limit = (limit != null && limit > 0) ? limit : 20;
        List<MerchNoti> notis = merchNotiMapper.selectMerchNotis(limit);

        if (notis == null || notis.isEmpty()) {
            logger.info("no ");
        }

        //记录异常通知
        List<MerchNoti> errorsList = Lists.newArrayList();

        notis.forEach(noti->{

        });


    }
}
